<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionVehicleModule Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/db4/a07594.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionVehicleModule Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ExpansionVehicleModule:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d0/db4/a07594.png" usemap="#ExpansionVehicleModule_map" alt=""/>
  <map id="ExpansionVehicleModule_map" name="ExpansionVehicleModule_map">
<area href="../../d3/ddf/a07538.html" alt="ExpansionVehicleAerofoil" shape="rect" coords="0,56,216,80"/>
<area href="../../de/d8a/a07550.html" alt="ExpansionVehicleBuoyantPoint" shape="rect" coords="226,56,442,80"/>
<area href="../../d1/dd6/a07534.html" alt="ExpansionVehicleHelicopter_OLD" shape="rect" coords="452,56,668,80"/>
<area href="../../d3/dd4/a07606.html" alt="ExpansionVehicleProp" shape="rect" coords="678,56,894,80"/>
<area href="../../da/d42/a07610.html" alt="ExpansionVehicleRotational" shape="rect" coords="904,56,1120,80"/>
<area href="../../d7/d52/a07614.html" alt="ExpansionVehicleSteering" shape="rect" coords="1356,56,1572,80"/>
<area href="../../de/dd3/a07618.html" alt="ExpansionVehicleThrottle" shape="rect" coords="1808,56,2024,80"/>
<area href="../../d7/da3/a07590.html" alt="ExpansionVehicleHelicopterAerofoil" shape="rect" coords="0,112,216,136"/>
<area href="../../da/dc0/a07542.html" alt="ExpansionVehicleAxle" shape="rect" coords="1130,112,1346,136"/>
<area href="../../da/d6b/a07570.html" alt="ExpansionVehicleEngineBase" shape="rect" coords="1130,168,1346,192"/>
<area href="../../d0/dd3/a07574.html" alt="ExpansionVehicleGearbox" shape="rect" coords="1130,224,1346,248"/>
<area href="../../d2/d7f/a07634.html" alt="ExpansionVehicleWheel" shape="rect" coords="1130,280,1346,304"/>
<area href="../../db/dbd/a07546.html" alt="ExpansionVehicleBikeSteering" shape="rect" coords="1582,112,1798,136"/>
<area href="../../d9/d53/a07558.html" alt="ExpansionVehicleCarSteering" shape="rect" coords="1582,168,1798,192"/>
<area href="../../db/d7b/a07638.html" alt="ExpansionVehicleYoke" shape="rect" coords="1582,224,1798,248"/>
<area href="../../d5/dbe/a07622.html" alt="ExpansionVehicleCarThrottle" shape="rect" coords="2034,112,2250,136"/>
<area href="../../d7/d8d/a07626.html" alt="ExpansionVehiclePlaneThrottle" shape="rect" coords="2034,168,2250,192"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a905fd94284d5c63a9605610b6e987e0c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/db4/a07594.html#a905fd94284d5c63a9605610b6e987e0c">ExpansionVehicleModule</a> (EntityAI pVehicle)</td></tr>
<tr class="separator:a905fd94284d5c63a9605610b6e987e0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51ccd4b0553e23e6ac93056d7a4dab97"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/db4/a07594.html#a51ccd4b0553e23e6ac93056d7a4dab97">~ExpansionVehicleModule</a> ()</td></tr>
<tr class="separator:a51ccd4b0553e23e6ac93056d7a4dab97"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af46fef238318453d81c65f7e6c9f878c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/db4/a07594.html#af46fef238318453d81c65f7e6c9f878c">Init</a> ()</td></tr>
<tr class="separator:af46fef238318453d81c65f7e6c9f878c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f66dfb3dd39cf66edf669dba56f49eb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/db4/a07594.html#a1f66dfb3dd39cf66edf669dba56f49eb">TEMP_DeferredInit</a> ()</td></tr>
<tr class="separator:a1f66dfb3dd39cf66edf669dba56f49eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae12bb46e579c022ad336fd3bd29e5dbd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/db4/a07594.html#ae12bb46e579c022ad336fd3bd29e5dbd">SettingsChanged</a> ()</td></tr>
<tr class="separator:ae12bb46e579c022ad336fd3bd29e5dbd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d5b04afd0c44db99776e7faa22d6ce4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/db4/a07594.html#a5d5b04afd0c44db99776e7faa22d6ce4">Control</a> (<a class="el" href="../../d4/d15/a07502.html">ExpansionPhysicsState</a> pState, <a class="el" href="../../df/df6/a04914.html">DayZPlayerImplement</a> pDriver)</td></tr>
<tr class="separator:a5d5b04afd0c44db99776e7faa22d6ce4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adfce95737421688f7e0dee7917d69352"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/db4/a07594.html#adfce95737421688f7e0dee7917d69352">PreSimulate</a> (<a class="el" href="../../d4/d15/a07502.html">ExpansionPhysicsState</a> pState)</td></tr>
<tr class="separator:adfce95737421688f7e0dee7917d69352"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb01ef89e00321ac20ae80fa5d7939ff"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/db4/a07594.html#acb01ef89e00321ac20ae80fa5d7939ff">Simulate</a> (<a class="el" href="../../d4/d15/a07502.html">ExpansionPhysicsState</a> pState)</td></tr>
<tr class="separator:acb01ef89e00321ac20ae80fa5d7939ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a70e655e0cc9273fe2dee4215e58bdf73"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/db4/a07594.html#a70e655e0cc9273fe2dee4215e58bdf73">PostSimulate</a> (<a class="el" href="../../d4/d15/a07502.html">ExpansionPhysicsState</a> pState)</td></tr>
<tr class="separator:a70e655e0cc9273fe2dee4215e58bdf73"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ed1d40a9f842d4a681042dcd35fc9b4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/db4/a07594.html#a8ed1d40a9f842d4a681042dcd35fc9b4">Animate</a> (<a class="el" href="../../d4/d15/a07502.html">ExpansionPhysicsState</a> pState)</td></tr>
<tr class="separator:a8ed1d40a9f842d4a681042dcd35fc9b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e94e03cb876ece422608c5414bd50a4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/db4/a07594.html#a2e94e03cb876ece422608c5414bd50a4">NetworkSend</a> (ParamsWriteContext ctx)</td></tr>
<tr class="separator:a2e94e03cb876ece422608c5414bd50a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3dc5460c550e0c457f5ee6f5337a0cef"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/db4/a07594.html#a3dc5460c550e0c457f5ee6f5337a0cef">NetworkRecieve</a> (ParamsReadContext ctx)</td></tr>
<tr class="separator:a3dc5460c550e0c457f5ee6f5337a0cef"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a6ca8bc619a6f6f561ab92e2b6365fd09"><td class="memItemLeft" align="right" valign="top">EntityAI&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/db4/a07594.html#a6ca8bc619a6f6f561ab92e2b6365fd09">m_Vehicle</a></td></tr>
<tr class="separator:a6ca8bc619a6f6f561ab92e2b6365fd09"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a907ca776620f3c31f1cec18c138a6864"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../df/dbf/a07494.html">ExpansionController</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/db4/a07594.html#a907ca776620f3c31f1cec18c138a6864">m_Controller</a></td></tr>
<tr class="separator:a907ca776620f3c31f1cec18c138a6864"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b0c982550452b059e306a1756167cf2"><td class="memItemLeft" align="right" valign="top">vector&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/db4/a07594.html#a1b0c982550452b059e306a1756167cf2">m_Position</a></td></tr>
<tr class="separator:a1b0c982550452b059e306a1756167cf2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a552ab7698a2d8f8f64b4162652451850"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/db4/a07594.html#a552ab7698a2d8f8f64b4162652451850">m_SelfDebugWindow</a></td></tr>
<tr class="separator:a552ab7698a2d8f8f64b4162652451850"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac45bcdfb0f186a078ddbaaadb0a0eae8"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/db4/a07594.html#ac45bcdfb0f186a078ddbaaadb0a0eae8">m_TEMP_DeferredInit</a></td></tr>
<tr class="separator:ac45bcdfb0f186a078ddbaaadb0a0eae8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90eb565f8e9f5eba5a7ebd85b7e5eeb2"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/db4/a07594.html#a90eb565f8e9f5eba5a7ebd85b7e5eeb2">m_SettingsChanged</a></td></tr>
<tr class="separator:a90eb565f8e9f5eba5a7ebd85b7e5eeb2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7dd9c627f5714f5c70ea69c80fe0fb1"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/db4/a07594.html#ad7dd9c627f5714f5c70ea69c80fe0fb1">m_Control</a></td></tr>
<tr class="separator:ad7dd9c627f5714f5c70ea69c80fe0fb1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac647fc9192d982f47908067d0075697c"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/db4/a07594.html#ac647fc9192d982f47908067d0075697c">m_PreSimulate</a></td></tr>
<tr class="separator:ac647fc9192d982f47908067d0075697c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b1e0705ed8b0de60369d37b8ad606d0"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/db4/a07594.html#a3b1e0705ed8b0de60369d37b8ad606d0">m_Simulate</a></td></tr>
<tr class="separator:a3b1e0705ed8b0de60369d37b8ad606d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae04b55464fa37d0c6f0a6b77d459e6fa"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/db4/a07594.html#ae04b55464fa37d0c6f0a6b77d459e6fa">m_PostSimulate</a></td></tr>
<tr class="separator:ae04b55464fa37d0c6f0a6b77d459e6fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a8063c31998199d4e3bc5fee8a88091"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/db4/a07594.html#a8a8063c31998199d4e3bc5fee8a88091">m_Animate</a></td></tr>
<tr class="separator:a8a8063c31998199d4e3bc5fee8a88091"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34852fce42e0bc36e8b0c8f2e5d1c08d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/db4/a07594.html#a34852fce42e0bc36e8b0c8f2e5d1c08d">m_Network</a></td></tr>
<tr class="separator:a34852fce42e0bc36e8b0c8f2e5d1c08d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../dc/d94/a02999_source.html#l00013">13</a> of file <a class="el" href="../../dc/d94/a02999_source.html">expansionvehiclemodule.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a905fd94284d5c63a9605610b6e987e0c" name="a905fd94284d5c63a9605610b6e987e0c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a905fd94284d5c63a9605610b6e987e0c">&#9670;&#160;</a></span>ExpansionVehicleModule()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionVehicleModule::ExpansionVehicleModule </td>
          <td>(</td>
          <td class="paramtype">EntityAI&#160;</td>
          <td class="paramname"><em>pVehicle</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d94/a02999_source.html#l00030">30</a> of file <a class="el" href="../../dc/d94/a02999_source.html">expansionvehiclemodule.c</a>.</p>

</div>
</div>
<a id="a51ccd4b0553e23e6ac93056d7a4dab97" name="a51ccd4b0553e23e6ac93056d7a4dab97"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a51ccd4b0553e23e6ac93056d7a4dab97">&#9670;&#160;</a></span>~ExpansionVehicleModule()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionVehicleModule::~ExpansionVehicleModule </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d94/a02999_source.html#l00043">43</a> of file <a class="el" href="../../dc/d94/a02999_source.html">expansionvehiclemodule.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a8ed1d40a9f842d4a681042dcd35fc9b4" name="a8ed1d40a9f842d4a681042dcd35fc9b4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ed1d40a9f842d4a681042dcd35fc9b4">&#9670;&#160;</a></span>Animate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionVehicleModule::Animate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/d15/a07502.html">ExpansionPhysicsState</a>&#160;</td>
          <td class="paramname"><em>pState</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d94/a02999_source.html#l00087">87</a> of file <a class="el" href="../../dc/d94/a02999_source.html">expansionvehiclemodule.c</a>.</p>

</div>
</div>
<a id="a5d5b04afd0c44db99776e7faa22d6ce4" name="a5d5b04afd0c44db99776e7faa22d6ce4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5d5b04afd0c44db99776e7faa22d6ce4">&#9670;&#160;</a></span>Control()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionVehicleModule::Control </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/d15/a07502.html">ExpansionPhysicsState</a>&#160;</td>
          <td class="paramname"><em>pState</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../df/df6/a04914.html">DayZPlayerImplement</a>&#160;</td>
          <td class="paramname"><em>pDriver</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="section note"><dt>Note</dt><dd>pDriver could be an AI, fuck would I know to do in this case though :pepelul: </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../dc/d94/a02999_source.html#l00071">71</a> of file <a class="el" href="../../dc/d94/a02999_source.html">expansionvehiclemodule.c</a>.</p>

</div>
</div>
<a id="af46fef238318453d81c65f7e6c9f878c" name="af46fef238318453d81c65f7e6c9f878c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af46fef238318453d81c65f7e6c9f878c">&#9670;&#160;</a></span>Init()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionVehicleModule::Init </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d94/a02999_source.html#l00050">50</a> of file <a class="el" href="../../dc/d94/a02999_source.html">expansionvehiclemodule.c</a>.</p>

</div>
</div>
<a id="a3dc5460c550e0c457f5ee6f5337a0cef" name="a3dc5460c550e0c457f5ee6f5337a0cef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3dc5460c550e0c457f5ee6f5337a0cef">&#9670;&#160;</a></span>NetworkRecieve()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionVehicleModule::NetworkRecieve </td>
          <td>(</td>
          <td class="paramtype">ParamsReadContext&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d94/a02999_source.html#l00095">95</a> of file <a class="el" href="../../dc/d94/a02999_source.html">expansionvehiclemodule.c</a>.</p>

</div>
</div>
<a id="a2e94e03cb876ece422608c5414bd50a4" name="a2e94e03cb876ece422608c5414bd50a4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2e94e03cb876ece422608c5414bd50a4">&#9670;&#160;</a></span>NetworkSend()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionVehicleModule::NetworkSend </td>
          <td>(</td>
          <td class="paramtype">ParamsWriteContext&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d94/a02999_source.html#l00091">91</a> of file <a class="el" href="../../dc/d94/a02999_source.html">expansionvehiclemodule.c</a>.</p>

</div>
</div>
<a id="a70e655e0cc9273fe2dee4215e58bdf73" name="a70e655e0cc9273fe2dee4215e58bdf73"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a70e655e0cc9273fe2dee4215e58bdf73">&#9670;&#160;</a></span>PostSimulate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionVehicleModule::PostSimulate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/d15/a07502.html">ExpansionPhysicsState</a>&#160;</td>
          <td class="paramname"><em>pState</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d94/a02999_source.html#l00083">83</a> of file <a class="el" href="../../dc/d94/a02999_source.html">expansionvehiclemodule.c</a>.</p>

</div>
</div>
<a id="adfce95737421688f7e0dee7917d69352" name="adfce95737421688f7e0dee7917d69352"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adfce95737421688f7e0dee7917d69352">&#9670;&#160;</a></span>PreSimulate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionVehicleModule::PreSimulate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/d15/a07502.html">ExpansionPhysicsState</a>&#160;</td>
          <td class="paramname"><em>pState</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d94/a02999_source.html#l00075">75</a> of file <a class="el" href="../../dc/d94/a02999_source.html">expansionvehiclemodule.c</a>.</p>

</div>
</div>
<a id="ae12bb46e579c022ad336fd3bd29e5dbd" name="ae12bb46e579c022ad336fd3bd29e5dbd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae12bb46e579c022ad336fd3bd29e5dbd">&#9670;&#160;</a></span>SettingsChanged()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionVehicleModule::SettingsChanged </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d94/a02999_source.html#l00064">64</a> of file <a class="el" href="../../dc/d94/a02999_source.html">expansionvehiclemodule.c</a>.</p>

</div>
</div>
<a id="acb01ef89e00321ac20ae80fa5d7939ff" name="acb01ef89e00321ac20ae80fa5d7939ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb01ef89e00321ac20ae80fa5d7939ff">&#9670;&#160;</a></span>Simulate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionVehicleModule::Simulate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/d15/a07502.html">ExpansionPhysicsState</a>&#160;</td>
          <td class="paramname"><em>pState</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d94/a02999_source.html#l00079">79</a> of file <a class="el" href="../../dc/d94/a02999_source.html">expansionvehiclemodule.c</a>.</p>

</div>
</div>
<a id="a1f66dfb3dd39cf66edf669dba56f49eb" name="a1f66dfb3dd39cf66edf669dba56f49eb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1f66dfb3dd39cf66edf669dba56f49eb">&#9670;&#160;</a></span>TEMP_DeferredInit()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionVehicleModule::TEMP_DeferredInit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d94/a02999_source.html#l00060">60</a> of file <a class="el" href="../../dc/d94/a02999_source.html">expansionvehiclemodule.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a8a8063c31998199d4e3bc5fee8a88091" name="a8a8063c31998199d4e3bc5fee8a88091"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8a8063c31998199d4e3bc5fee8a88091">&#9670;&#160;</a></span>m_Animate</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionVehicleModule::m_Animate</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d94/a02999_source.html#l00027">27</a> of file <a class="el" href="../../dc/d94/a02999_source.html">expansionvehiclemodule.c</a>.</p>

</div>
</div>
<a id="ad7dd9c627f5714f5c70ea69c80fe0fb1" name="ad7dd9c627f5714f5c70ea69c80fe0fb1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad7dd9c627f5714f5c70ea69c80fe0fb1">&#9670;&#160;</a></span>m_Control</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionVehicleModule::m_Control</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d94/a02999_source.html#l00023">23</a> of file <a class="el" href="../../dc/d94/a02999_source.html">expansionvehiclemodule.c</a>.</p>

</div>
</div>
<a id="a907ca776620f3c31f1cec18c138a6864" name="a907ca776620f3c31f1cec18c138a6864"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a907ca776620f3c31f1cec18c138a6864">&#9670;&#160;</a></span>m_Controller</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../df/dbf/a07494.html">ExpansionController</a> ExpansionVehicleModule::m_Controller</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d94/a02999_source.html#l00016">16</a> of file <a class="el" href="../../dc/d94/a02999_source.html">expansionvehiclemodule.c</a>.</p>

</div>
</div>
<a id="a34852fce42e0bc36e8b0c8f2e5d1c08d" name="a34852fce42e0bc36e8b0c8f2e5d1c08d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a34852fce42e0bc36e8b0c8f2e5d1c08d">&#9670;&#160;</a></span>m_Network</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionVehicleModule::m_Network</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d94/a02999_source.html#l00028">28</a> of file <a class="el" href="../../dc/d94/a02999_source.html">expansionvehiclemodule.c</a>.</p>

</div>
</div>
<a id="a1b0c982550452b059e306a1756167cf2" name="a1b0c982550452b059e306a1756167cf2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1b0c982550452b059e306a1756167cf2">&#9670;&#160;</a></span>m_Position</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">vector ExpansionVehicleModule::m_Position</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d94/a02999_source.html#l00018">18</a> of file <a class="el" href="../../dc/d94/a02999_source.html">expansionvehiclemodule.c</a>.</p>

</div>
</div>
<a id="ae04b55464fa37d0c6f0a6b77d459e6fa" name="ae04b55464fa37d0c6f0a6b77d459e6fa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae04b55464fa37d0c6f0a6b77d459e6fa">&#9670;&#160;</a></span>m_PostSimulate</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionVehicleModule::m_PostSimulate</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d94/a02999_source.html#l00026">26</a> of file <a class="el" href="../../dc/d94/a02999_source.html">expansionvehiclemodule.c</a>.</p>

</div>
</div>
<a id="ac647fc9192d982f47908067d0075697c" name="ac647fc9192d982f47908067d0075697c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac647fc9192d982f47908067d0075697c">&#9670;&#160;</a></span>m_PreSimulate</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionVehicleModule::m_PreSimulate</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d94/a02999_source.html#l00024">24</a> of file <a class="el" href="../../dc/d94/a02999_source.html">expansionvehiclemodule.c</a>.</p>

</div>
</div>
<a id="a552ab7698a2d8f8f64b4162652451850" name="a552ab7698a2d8f8f64b4162652451850"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a552ab7698a2d8f8f64b4162652451850">&#9670;&#160;</a></span>m_SelfDebugWindow</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionVehicleModule::m_SelfDebugWindow</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d94/a02999_source.html#l00019">19</a> of file <a class="el" href="../../dc/d94/a02999_source.html">expansionvehiclemodule.c</a>.</p>

</div>
</div>
<a id="a90eb565f8e9f5eba5a7ebd85b7e5eeb2" name="a90eb565f8e9f5eba5a7ebd85b7e5eeb2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a90eb565f8e9f5eba5a7ebd85b7e5eeb2">&#9670;&#160;</a></span>m_SettingsChanged</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionVehicleModule::m_SettingsChanged</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d94/a02999_source.html#l00022">22</a> of file <a class="el" href="../../dc/d94/a02999_source.html">expansionvehiclemodule.c</a>.</p>

</div>
</div>
<a id="a3b1e0705ed8b0de60369d37b8ad606d0" name="a3b1e0705ed8b0de60369d37b8ad606d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3b1e0705ed8b0de60369d37b8ad606d0">&#9670;&#160;</a></span>m_Simulate</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionVehicleModule::m_Simulate</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d94/a02999_source.html#l00025">25</a> of file <a class="el" href="../../dc/d94/a02999_source.html">expansionvehiclemodule.c</a>.</p>

</div>
</div>
<a id="ac45bcdfb0f186a078ddbaaadb0a0eae8" name="ac45bcdfb0f186a078ddbaaadb0a0eae8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac45bcdfb0f186a078ddbaaadb0a0eae8">&#9670;&#160;</a></span>m_TEMP_DeferredInit</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionVehicleModule::m_TEMP_DeferredInit</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d94/a02999_source.html#l00021">21</a> of file <a class="el" href="../../dc/d94/a02999_source.html">expansionvehiclemodule.c</a>.</p>

</div>
</div>
<a id="a6ca8bc619a6f6f561ab92e2b6365fd09" name="a6ca8bc619a6f6f561ab92e2b6365fd09"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ca8bc619a6f6f561ab92e2b6365fd09">&#9670;&#160;</a></span>m_Vehicle</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">EntityAI ExpansionVehicleModule::m_Vehicle</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d94/a02999_source.html#l00015">15</a> of file <a class="el" href="../../dc/d94/a02999_source.html">expansionvehiclemodule.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Vehicles/Scripts/4_world/dayzexpansion_vehicles/classes/vehicles/modules/<a class="el" href="../../dc/d94/a02999_source.html">expansionvehiclemodule.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d0/db4/a07594.html">ExpansionVehicleModule</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
